Subject: [alpine-aports] [PATCH 1/2] testing/awscli: upgrade to 1.11.65

From: Valery Kartel <[email-masked]>
Date: Thu, 23 Mar 2017 16:47:48 +0200

---
 testing/awscli/APKBUILD | 39 ++++++++++++++++++---------------------
 1 file changed, 18 insertions(+), 21 deletions(-)

diff --git a/testing/awscli/APKBUILD b/testing/awscli/APKBUILD
index 12bbba4d52..ae572d61d7 100644
--- a/testing/awscli/APKBUILD
+++ b/testing/awscli/APKBUILD
@@ -1,25 +1,24 @@
 # Maintainer: Valery Kartel <[email-masked]>
 # Contributor: Valery Kartel <[email-masked]>
 pkgname=awscli
-_pkgname=aws-cli
-pkgver=1.11.34
-pkgrel=1
+pkgver=1.11.65
+pkgrel=0
+_pkgreal=aws-cli
 _python="python3"
 pkgdesc="Universal Command Line Interface for Amazon Web Services"
 url="https://github.com/aws/aws-cli"
 arch="noarch"
-license="apache2"
-depends="$_python py-botocore py-jmespath py-s3transfer py-docutils py-colorama py-yaml py-rsa"
-depends_dev=""
+license="ASL 2.0"
+options="!check"
+depends="$_python groff py-botocore py-jmespath py-s3transfer py-docutils py-colorama py-yaml py-rsa"
 makedepends="$_python-dev py-setuptools"
-install=""
 subpackages="$pkgname-doc $pkgname-zsh-completion:zshcomp $pkgname-bash-completion:bashcomp $pkgname-completer"
-source="$_pkgname-$pkgver.tar.gz::https://github.com/aws/$_pkgname/archive/$pkgver.tar.gz"
-builddir="$srcdir"/$_pkgname-$pkgver
+source="$_pkgreal-$pkgver.tar.gz::https://github.com/aws/$_pkgreal/archive/$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
 
 build() {
 	cd "$builddir"
-	$_python setup.py build || return 1
+	$_python setup.py build
 }
 
 package() {
@@ -33,7 +32,7 @@ bashcomp() {
 	depends="$pkgname-completer"
 	pkgdesc="Bash completions for $pkgname"
 	install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
-	mkdir -p "$subpkgdir"/usr/share/bash-completion/completions
+	mkdir -p "$subpkgdir"/usr/share/bash-completion/completions || return 1
 	mv "$pkgdir"/usr/bin/aws_bash_completer \
 		"$subpkgdir"/usr/share/bash-completion/completions
 }
@@ -42,7 +41,7 @@ zshcomp() {
 	depends="$pkgname-completer"
 	pkgdesc="Zsh completions for $pkgname"
 	install_if="$pkgname=$pkgver-r$pkgrel zsh"
-	mkdir -p "$subpkgdir"/usr/share/zsh/site-functions
+	mkdir -p "$subpkgdir"/usr/share/zsh/site-functions || return 1
 	mv "$pkgdir"/usr/bin/aws_zsh_completer.sh \
 		"$subpkgdir"/usr/share/zsh/site-functions
 }
@@ -53,19 +52,17 @@ completer() {
 	cd "$pkgdir"
 	local file; for file in $(find . -name "*completer*"); do
 		echo $(dirname $file)
-		mkdir -p "$subpkgdir"/$(dirname $file)
-		mv "$pkgdir"/$file "$subpkgdir"/$file
+		mkdir -p "$subpkgdir"/$(dirname $file) || return 1
+		mv "$pkgdir"/$file "$subpkgdir"/$file || return 1
 	done
 }
 
 doc() {
-	default_doc
+	default_doc || return 1
 	local path=$($_python -c "import sys;print(sys.path[-1])")/$pkgname
-	mkdir -p "$subpkgdir"/$path
-	mv "$pkgdir"/$path/examples "$subpkgdir"/$path/
-	mv "$pkgdir"/$path/topics "$subpkgdir"/$path/
+	mkdir -p "$subpkgdir"/$path || return 1
+	mv "$pkgdir"/$path/examples "$pkgdir"/$path/topics \
+		"$subpkgdir"/$path/
 }
 
-md5sums="a7cfdf07e7ff624a65bb6cf9d9bb09c6  aws-cli-1.11.34.tar.gz"
-sha256sums="a836980eb468c0864f3a343c0f78d21ebc5f05abfc80914a2714dca89ae0feec  aws-cli-1.11.34.tar.gz"
-sha512sums="1231873f0e880f9a5d86f1691d4f6e7e62bfb4dd392047d0f51b5bbec83a3896ee160062a1c05b7139ec1ab65d83568dd27516e341092b583e4070c483c68794  aws-cli-1.11.34.tar.gz"
+sha512sums="9fade4709e0a6b7a8eeab390e8d260cf1712cfb20ba93834c286b946560fa28fac99fbf222d25602309738f0f2bdd7b096e89b5d181d9b784b1b28e66b7d6535  aws-cli-1.11.65.tar.gz"
-- 
2.12.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---